package com.winhc.data.push.bean;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * company
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CompanyEquityInfoOut {
    //@ExcelIgnore
    @ExcelProperty("原始名称")
    private String old_name;
    @ExcelProperty("股权出质标的企业")
    private String related_company_name;
    @ExcelProperty("股权出质标的企业id")
    private String related_company_id;
    @ExcelProperty("省份")
    private String base;
    @ExcelProperty("登记编号")
    private String reg_number;

    @ExcelIgnore
    private String pledgor_info;
    @ExcelProperty("出质人")
    private String pledgor_name;

    @ExcelProperty("出质人证照/证件号码")
    private String certif_number_pledgor;
    @ExcelProperty("出质股权数额")
    private String equity_amount;

    @ExcelIgnore
    private String pledgee_info;
    @ExcelProperty("质权人")
    private String pledgee_name;

    @ExcelProperty("质权人证照/证件号码")
    private String certif_number_pledgee;
    @ExcelProperty("股权出质设立登记日期")
    private String reg_date;
    @ExcelProperty("状态")
    private String state;
    @ExcelProperty("公示日期")
    private String pub_date;
    @ExcelProperty("变化情况")
    private String change_situation;
    @ExcelProperty("注销日期")
    private String cancel_date;
    @ExcelProperty("注销原因")
    private String cancel_reason;
    @ExcelProperty("出质人类型")
    private String pledgor_type;
    @ExcelProperty("质权人类型")
    private String pledgee_type;
    @ExcelProperty("创建时间")
    private String create_time;
    @ExcelProperty("更新时间")
    private String update_time;
    @ExcelProperty("是否删除")
    private String deleted;
}