package com.winhc.data.push.bean;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * company
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CompanyHolderOut {
    //@ExcelIgnore
    @ExcelProperty("原始名称")
    private String old_name;
    @ExcelProperty("公司id")
    private String company_id;
    @ExcelProperty("公司名称")
    private String company_name;
    @ExcelProperty("股东名称")
    private String holder_name;
    @ExcelProperty("股东类型")
    private String holder_type;
    @ExcelProperty("认缴出资额")
    private String amount;

    @ExcelIgnore
    private String capital;
    @ExcelIgnore
    private String capital_actual;

    @ExcelProperty("认缴出资时间")
    private String capital_time;
    @ExcelProperty("认缴出资方式")
    private String capital_pay;
    @ExcelProperty("实缴出资额")
    private String capital_actual_amount;
    @ExcelProperty("实缴出资时间")
    private String capital_actual_time;
    @ExcelProperty("实缴出资方式")
    private String capital_actual_pay;

    @ExcelProperty("股东的出资比例")
    private String percent;
    @ExcelProperty("创建时间")
    private String create_time;
    @ExcelProperty("更新时间")
    private String update_time;
    @ExcelProperty("是否删除")
    private String deleted;
}