package com.winhc.data.push.configuration;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;


@Data
@Configuration
public class OSSAccessProperties {

    @Value("${oss.endpoint}")
    private String endpoint;
    @Value("${oss.access_key_id}")
    private String accessKeyId;
    @Value("${oss.access_key_secret}")
    private String accessKeySecret;
    @Value("${oss.source_bucket_name}")
    private String sourceBucketName;
    @Value("${oss.target_bucket_name}")
    private String targetBucketName;
    @Value("${oss.source_path_prefix}")
    private String sourcePathPrefix;
    @Value("${oss.target_path_prefix}")
    private String targetPathprefix;
}