package com.winhc.data.push.configuration;

import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import lombok.AllArgsConstructor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author π
 * @Description:
 * @date 2022/7/20 17:23
 */
@Configuration
@AllArgsConstructor
public class OSSConfiguration {
    private final OSSAccessProperties project;

    @Bean
    public OSS init2() {
        return new OSSClientBuilder().build(project.getEndpoint(), project.getAccessKeyId(), project.getAccessKeySecret());
    }
}
