package com.winhc.data.push.bean;

import com.aliyun.openservices.shade.com.alibaba.fastjson.JSONObject;
import com.aliyun.openservices.shade.com.alibaba.fastjson.serializer.SerializerFeature;
import lombok.*;

import java.util.Map;

/**
 * @Author: XuJiakai
 * @Date: 2020/6/22 14:45
 * @Description:
 */
@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskParam {
    private String projectName;
    private String flowName;
    private String bizDate;
    private Map<String, String> nodeParam;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this, SerializerFeature.WriteMapNullValue);
    }
}
