package com.winhc.data.push.service;

import org.bson.Document;

import java.io.FileNotFoundException;
import java.util.List;

/**
 * @author π
 * @Description:
 * @date 2022/7/20 16:52
 */
public interface SynDataService {
    void push(String tn, String ds);

    void sendMessage(String message) throws Exception;

    String saveTask(String tn, String ds);

    Boolean findTaskExists(Document doc);

    Boolean findTaskExists(String collectionName, Document doc);

    List<Document> findAllTask(Document id);

    List<Document> findAllTask(String collectionName, Document doc);

    Boolean updateTask(String tn, String ds, String status);

    Boolean updateTaskStatus(String collectionName, String ds, String status);

    String uploadTask(String ds);

    void uploadToOss(String ds) throws FileNotFoundException;

}
