package com.winhc.data.push.service.impl;

import cn.cocowwy.dingtalk.DingTalkGroupApi;
import com.winhc.data.push.service.DingTalkService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Collections;

/**
 * @author π
 * @Description:
 * @date 2022/7/24 19:08
 */
@Slf4j
@Service
@AllArgsConstructor
public class DingTalkServiceImpl implements DingTalkService {

    private final DingTalkGroupApi dingTalkApi;

    @Override
    public void sendMessage(String message) {
        try {
            dingTalkApi.sendTextByPhones("data_push_message", "winhc\n" + message, Collections.singletonList("17602140784"));
        } catch (Exception e) {
            log.error("send message error : {}", e.getMessage());
        }

    }
}
