package com.winhc.data.push.utils;

import com.aliyun.openservices.shade.org.apache.commons.lang3.StringUtils;

import static com.winhc.data.push.utils.DateUtils.*;

/**
 * @author π
 * @Description:
 * @date 2022/7/24 13:38
 */
public class BaseUtils {

    public static Boolean isWindows() {
        return System.getProperty("os.name").contains("Windows");
    }

    public static Boolean verifyDate(String ds) {
        if (StringUtils.isBlank(ds) || ds.length() != 8) return false;
        if (StringUtils.isBlank(parseDate(ds))) return false;
        String now = nowDate(YYYYMMDD);
        return ds.compareTo(now) < 0;
    }

    public static void main(String[] args) {
        System.out.println(verifyDate("20220920"));
        System.out.println(verifyDate("20220919"));
        System.out.println(verifyDate("2022-09-19"));
        System.out.println(verifyDate("2022-0919"));
    }
}
