package com.winhc.data.push.utils;


import com.aliyun.oss.ClientException;
import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import com.aliyun.oss.OSSException;
import com.aliyun.oss.internal.OSSHeaders;
import com.aliyun.oss.model.*;

import java.io.BufferedReader;
import java.io.File;
import java.io.InputStreamReader;

/**
 * @author π
 * @Description:
 * @date 2022/11/14 18:02
 */

public class OssUtils {

    //安硕key
//    public static String accessKeyId = "LTAI5tDrbWcjKkzTnJXCrwkC";
//    public static String accessKeySecret = "AWDvBsQc16AYMszNVRga5ANbzuLowy";

    //内部key
    public static String accessKeyId = "LTAI6HKo33DbtiBI";
    public static String accessKeySecret = "8FmSBhHyaz4jtyJhiimK0NGF5rBPMl";


    public static String endpoint ;
    public static String bucketName = "data-exchange-as";


    static {
        if (BaseUtils.isWindows()) {
            endpoint = "oss-cn-shanghai.aliyuncs.com";
        } else {
            endpoint = "oss-cn-shanghai-internal.aliyuncs.com";
        }
    }

    public static OSS getOssClient() {
        return new OSSClientBuilder().build(endpoint, accessKeyId, accessKeySecret);
    }

    public static void main(String[] args) {

        String objectName = "anshuo/tmp/20221122.zip";
        String filePath = "D:\\tmp\\data\\20221122.zip";

        uploadFile(objectName, filePath);
    }

    public static void uploadFile(String objectName, String filePath) {
        OSS ossClient = null;
        try {
            ossClient = getOssClient();
            // 创建PutObjectRequest对象。
            PutObjectRequest putObjectRequest = new PutObjectRequest(bucketName, objectName, new File(filePath));
            // 如果需要上传时设置存储类型和访问权限，请参考以下示例代码。
            ObjectMetadata metadata = new ObjectMetadata();
            metadata.setHeader(OSSHeaders.OSS_STORAGE_CLASS, StorageClass.Standard.toString());
            metadata.setObjectAcl(CannedAccessControlList.PublicRead);
            putObjectRequest.setMetadata(metadata);

            // 上传文件。
            ossClient.putObject(putObjectRequest);
        } catch (Exception ce) {
            System.out.println("Error Message:" + ce.getMessage());
        } finally {
            if (ossClient != null) {
                ossClient.shutdown();
            }
        }
    }

}