package com.winhc.data.push;

import com.aliyun.oss.ClientException;
import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import com.aliyun.oss.OSSException;
import com.aliyun.oss.model.*;


public class Demo {
    public static void main(String[] args) throws Exception {
        // Endpoint以华东1（杭州）为例，其它Region请按实际情况填写。
        String endpoint = "https://oss-cn-shanghai.aliyuncs.com";
        // 阿里云账号AccessKey拥有所有API的访问权限，风险很高。强烈建议您创建并使用RAM用户进行API访问或日常运维，请登录RAM控制台创建RAM用户。
        String accessKeyId = "LTAI5tDrbWcjKkzTnJXCrwkC";
        String accessKeySecret = "AWDvBsQc16AYMszNVRga5ANbzuLowy";



//        accessKeyId = "LTAI6HKo33DbtiBI";
//        accessKeySecret = "8FmSBhHyaz4jtyJhiimK0NGF5rBPMl";
        // 填写Bucket名称，例如examplebucket。
        //String bucketName = "data-exchange-as";
        String bucketName = "bigdata-rt";

        // 创建OSSClient实例。
        OSS ossClient = new OSSClientBuilder().build(endpoint, accessKeyId, accessKeySecret);

        try {
            // 构造ListObjectsV2Request请求。
            ListObjectsV2Request listObjectsV2Request = new ListObjectsV2Request(bucketName);

            // 设置prefix参数来获取fun目录下的文件。
            //listObjectsV2Request.setPrefix("anshuo/auction_tracking/20220721/file/");
            //listObjectsV2Request.setPrefix("anshuo/");
            //listObjectsV2Request.setPrefix("bigdata/auction_tracking/667169871995/");
            listObjectsV2Request.setPrefix("business-schema/");

            // 发起列举请求。
            ListObjectsV2Result result = ossClient.listObjectsV2(listObjectsV2Request);

            // 遍历文件。
            System.out.println("Objects:");
            for (OSSObjectSummary objectSummary : result.getObjectSummaries()) {
                System.out.println(objectSummary.getKey());
            }

            // 遍历commonPrefix。
            System.out.println("\nCommonPrefixes:");
            for (String commonPrefix : result.getCommonPrefixes()) {
                System.out.println(commonPrefix);
            }
        } catch (OSSException oe) {
            System.out.println("Caught an OSSException, which means your request made it to OSS, "
                    + "but was rejected with an error response for some reason.");
            System.out.println("Error Message:" + oe.getErrorMessage());
            System.out.println("Error Code:" + oe.getErrorCode());
            System.out.println("Request ID:" + oe.getRequestId());
            System.out.println("Host ID:" + oe.getHostId());
        } catch (ClientException ce) {
            System.out.println("Caught an ClientException, which means the client encountered "
                    + "a serious internal problem while trying to communicate with OSS, "
                    + "such as not being able to access the network.");
            System.out.println("Error Message:" + ce.getMessage());
        } finally {
            if (ossClient != null) {
                ossClient.shutdown();
            }
        }
    }
}